header {
    background-color: #ffffff;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.938rem 9.375rem;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
}
.logo{
    max-width: 175px;
    height: auto;
}
nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 3.125rem;
}
.nav-links{
    display: flex;
    justify-content: space-between;
    align-items: center;
    justify-content: center;
    gap: 3.125rem;
    li{
        a{
            padding: 5px;
            &:hover{
                color: var(--accent-color);
            }
        }
    }
}
.plus-button{
    display: flex;
    align-items: center;
    gap:5px;

    span  {
        display: flex;
        align-items: center;
        justify-self: center;
    }

}
.header-menu-icon{
    display: none;
}
.header-menu-mobile-overlay {
    display: none;
}
.header-menu-mobile {
    display: none;
}

/* Responsive */
@media screen and (max-width: 1200px) {
   header {
        padding: 0.938rem 4.5rem;
    }
}

@media screen and (max-width: 992px) {
    header {
        padding: 0.938rem 2.4rem;
    }
}

@media screen and (max-width: 780px) {
    header {
        position: relative;
    }
    nav{
        flex-direction: row-reverse;
        position: relative;
    }
    .nav-links {
        display: none;
    }

    /*------ Menu burger icon + mobile nav ------*/
    /* Icone du menu */
    .header-menu-icon {
        display: block;
        width: 35px;
        height: 35px;
        background-image: url("../../../icons/menu-HrGSNa9.svg");
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        transition: all 0.3s ease-in-out;
    }
    .header-menu-icon.active {
        background-image: url("../../../icons/cross-fclHpuE.svg");
    }
    
    /* Menu mobile */
    .header-menu-mobile {
        display: flex;
        flex-direction: column;
        gap: 40px;
        position: fixed;
        top: 0;
        right: 0;
        width: 65%;
        height: 100vh;
        background-color: #ffffff;
        box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
        padding: 20px;
        z-index: 1001;
        transform: translateX(100%);
        visibility: hidden;
        pointer-events: none;
        transition:
            transform 0.2s ease-in-out,
            visibility 0s linear 0.2s;
    }

    .header-menu-mobile.active {
        transform: translateX(0);
        visibility: visible;
        pointer-events: auto;
        transition:
            transform 0.2s ease-in-out,
            visibility 0s;
    }

    /* Overlay mobile */
    .header-menu-mobile-overlay {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 1000;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transition:
            opacity 0.2s ease-in-out,
            visibility 0s linear 0.2s;
    }

    .header-menu-mobile-overlay.active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
        transition:
            opacity 0.2s ease-in-out,
            visibility 0s;
    }
}

nav .menu-plus{
    position: relative;
}

.menu-plus-links {
    display: flex;
    flex-direction: column;
    gap: 12px;
 
    width: 150px;
    padding: 20px;
 
    background-color: white;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
    border: 1px solid #e0e0e0;
    border-radius: 10px;
 
    position: absolute;
    top: 10%;
    left: 100%;
    z-index: 1002;
    box-sizing: border-box;
    color: black;
 
    opacity: 0;
    transform: translateX(8px);
    visibility: hidden;
    pointer-events: none;
 
    transition:
        opacity 0.2s ease,
        transform 0.2s ease,
        visibility 0s linear 0.2s;
}
 
.menu-plus-links.is-open {
    opacity: 1;
    transform: translateX(0);
    visibility: visible;
    pointer-events: auto;
 
    transition:
        opacity 0.2s ease,
        transform 0.2s ease,
        visibility 0s;
}

.plus-icon {
  display: inline-flex;
  transition: transform .2s ease;
  transform: rotate(0deg);
}
 
.menu-plus:hover .plus-icon,
.menu-plus .menu-plus-links.is-open ~ .plus-icon {
  transform: rotate(-90deg);
}

@media screen and (max-width: 600px) {
    header {
        padding: 0.938rem 1.6rem;
    }
}